Looks like no one’s replied in a while. To start the conversation again, simply ask a new question.

Question:

Question: new phone says itunes needs newer version cannot open

Bought a new iPhone 8 trying to open it up on my Mac book in iTunes but it says iPhone version of iTunes must be updated to latest version

Posted on

Reply

Page content loaded

User profile for user: rickyfromairdrie

Question: new phone says itunes needs newer version cannot open